import {IDiffWatcher, DiffWatcherEvent} from '../watcher';
import {EventEmitter} from 'events';
import { DocumentAccessor } from '../../model/doc';
import { WatcherFilter } from './watcher_filter';
import { RecursiveWatcher } from './recursive_watcher';
import { ComicConfig } from './ComicConfig';
import {WatcherCompositer} from './compositer'


const createComicWatcherBase = (path:string)=> {
    return new WatcherFilter(new RecursiveWatcher(path),(x)=>x.endsWith(".zip"));
}
export const createComicWatcher = ()=>{
    const file = ComicConfig.get_config_file();
    console.log(`register comic ${file.watch.join(",")}`)
    return new WatcherCompositer(file.watch.map(path=>createComicWatcherBase(path)));
}